#include <stdio.h>
#include "ti86char.h"

int main(int argc, char *argv[]) {

	FILE *txt, *til, spc;
   char ch, linea[128];
   int pesolinea=0, i=0, j=0;

   if (argc<2) {
     printf("%s <file.txt> <file.til>\nConverts a text file in a file with TiL-complaining format.\n", argv[0]);
     exit(1);
     }
   if (!(txt=fopen(argv[1], "rb"))) {
     printf("Impossible to open txt file <%s>\n", argv[1]);
     exit(1);
     }
	if (!(til=fopen(argv[2], "wb"))) {
     printf("Impossible to open TiL file <%s>\n", argv[2]);
     exit(1);
     }

   while( (ch=fgetc(txt)) != EOF) {
     switch(ch) {
       case ' ':
       case '\t':
            linea[i++]=' ';
            pesolinea+=PESO(' ');
            spc=*txt;
            j=i;
            break;
       case '\r':
            break;
       case '\n':
            linea[i]=NULL;
            i=0;
            j=0;
            pesolinea=0;
            fputs(linea,til);
            fputc(NULL,til);
            break;
       default:
            pesolinea+=PESO(ch);
            if(pesolinea>LINEA) {
              if(j!=0) {
                i=j;
                *txt=spc;
                }
              linea[i]=NULL;
              i=0;
              j=0;
              pesolinea=0;
              fputs(linea,til);
              fputc(NULL,til);
              }
            else {
              linea[i++]=ch;
              }
            }
       }
     fputc(3,til);
     fclose(til);
     fclose(txt);
}
